/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.dto.planInfo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* 查询接口--数据传输对象：执行计划表
*
* createdate:  2022-12-06 11:32:04  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "执行计划表")
public class AtuPlanInfoQueryDto implements Serializable
{
    /**
     * 状态;0-新建，1-等待中，2-执行中，3-已完成，4-已取消<br>
     */
    @ApiModelProperty("状态;0-新建，1-等待中，2-执行中，3-已完成，4-已取消")
    @Size(max = 1, message="状态;0-新建，1-等待中，2-执行中，3-已完成，4-已取消-status: 数据长度不能 > 1" )
    private String status;

    @ApiModelProperty("租户id")
    private String tenantId;

    /**
     * 计划名称<br>
     */
    @ApiModelProperty("计划名称")
    @Size(max = 90, message="计划名称-planName: 数据长度不能 > 90" )
    private String planName;

    @ApiModelProperty("系统id集合")
    private List<String> projectList;

    @ApiModelProperty("是否展示新建计划")
    private boolean tableFlag = false;


    @ApiModelProperty("负责人")
    @Size(max = 32, message="负责人-principal: 数据长度不能 > 32" )
    private String principal;

    private List<String> principalIds;

    @ApiModelProperty("创建时间开始")
    private String createdTimeStart;
    @ApiModelProperty("创建时间结束")
    private String createdTimeEnd;
    @ApiModelProperty("修改时间开始")
    private String updatedTimeStart;
    @ApiModelProperty("修改时间结束")
    private String updatedTimeEnd;

    private Date startCreatedTime;

    private Date endCreatedTime;

    private Date startUpdatedTime;

    private Date endUpdatedTime;

    @ApiModelProperty("创建人")
    private String creator;

    private List<String> createBys;

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getPrincipalId() {
        return principalId;
    }

    public void setPrincipalId(String principalId) {
        this.principalId = principalId;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    private String creatorId;

    private String principalId;

    private String updateBy;

    public String getPrincipal() {
        return principal;
    }

    public void setPrincipal(String principal) {
        this.principal = principal;
    }

    public List<String> getPrincipalIds() {
        return principalIds;
    }

    public void setPrincipalIds(List<String> principalIds) {
        this.principalIds = principalIds;
    }

    public String getCreatedTimeStart() {
        return createdTimeStart;
    }

    public void setCreatedTimeStart(String createdTimeStart) {
        this.createdTimeStart = createdTimeStart;
    }

    public String getCreatedTimeEnd() {
        return createdTimeEnd;
    }

    public void setCreatedTimeEnd(String createdTimeEnd) {
        this.createdTimeEnd = createdTimeEnd;
    }

    public String getUpdatedTimeStart() {
        return updatedTimeStart;
    }

    public void setUpdatedTimeStart(String updatedTimeStart) {
        this.updatedTimeStart = updatedTimeStart;
    }

    public String getUpdatedTimeEnd() {
        return updatedTimeEnd;
    }

    public void setUpdatedTimeEnd(String updatedTimeEnd) {
        this.updatedTimeEnd = updatedTimeEnd;
    }

    public Date getStartCreatedTime() {
        return startCreatedTime;
    }

    public void setStartCreatedTime(Date startCreatedTime) {
        this.startCreatedTime = startCreatedTime;
    }

    public Date getEndCreatedTime() {
        return endCreatedTime;
    }

    public void setEndCreatedTime(Date endCreatedTime) {
        this.endCreatedTime = endCreatedTime;
    }

    public Date getStartUpdatedTime() {
        return startUpdatedTime;
    }

    public void setStartUpdatedTime(Date startUpdatedTime) {
        this.startUpdatedTime = startUpdatedTime;
    }

    public Date getEndUpdatedTime() {
        return endUpdatedTime;
    }

    public void setEndUpdatedTime(Date endUpdatedTime) {
        this.endUpdatedTime = endUpdatedTime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public List<String> getCreateBys() {
        return createBys;
    }

    public void setCreateBys(List<String> createBys) {
        this.createBys = createBys;
    }

    public boolean isTableFlag() {
        return tableFlag;
    }

    public void setTableFlag(boolean tableFlag) {
        this.tableFlag = tableFlag;
    }

    public List<String> getProjectList() {
        return projectList;
    }

    public void setProjectList(List<String> projectList) {
        this.projectList = projectList;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }
}